package db

import (
	"database/sql"

	_ "github.com/glebarez/go-sqlite"
)

type PieChartStore struct {
	Db *sql.DB
}
type BarChartStore struct {
	Db *sql.DB
}

func NewPieChartStore(dbName string) (PieChartStore, error) {
	Db, err := getConnection(dbName)
	if err != nil {
		return PieChartStore{}, err
	}

	if err := createMigrations(dbName, Db); err != nil {
		return PieChartStore{}, err
	}

	return PieChartStore{
		Db,
	}, nil
}
func NewBarChartStore(dbName string) (BarChartStore, error) {
	Db, err := getConnection(dbName)
	if err != nil {
		return BarChartStore{}, err
	}

	if err := createMigrations(dbName, Db); err != nil {
		return BarChartStore{}, err
	}

	return BarChartStore{
		Db,
	}, nil
}
